Retrieve Installments Result

The retrieve installment route is responsible for consulting the result of a consultation that was scheduled through the webhook.

🚧

Attention point:

To consume the route, it is necessary to pass the webhook scheduling code made available when the client's query to the FGTS module is not successful according to the occurrences listed in the main route.

Response

Http CodeReturn CodeMessage
200200-01Success.
400400-01Something unexpected happened.
400400-02Invalid hash.
400400-09There are no results for the query.
401401-05Unauthorized or token invalid.
429429-01Too many requests.

Response Parameters

ParameterTypeDescription
returnbooleanIndicates whether the request was successful.
return_codestringReturn code of the request.
messagestringMessage indicating the reason for the response.
dataobjectObject containing additional information.
data.codestringCode of the scheduled consultation.
data.http_code_caixastringHTTP code returned by CAIXA.
data.message_caixastringReturn message from CAIXA.
data.document_clientstringClient's document.
data.name_clientstringClient's name.
data.created_atstringDate and time of the consultation creation.
data.installmentsarrayArray containing installment information.
data.installments.codestringCode of the installment.
data.installments.datestringDue date of the installment.
data.installments.amountstringAmount of the installment.

Request Parameters

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!